Subject: bug#9875: 24.0.90; Confusing description of the "window tree" in ELisp manual

From: martin rudalics <[email-masked]>
Date: Thu, 27 Oct 2011 11:56:16 +0200

> That's true, but this fact is an implementation detail; we could
 > easily have the nodes be different Lisp objects.

Certainly not.  If you look into the window resizing code you will see
that it treats internal and leaf windows alike.  Changing the underlying
representation would have meant to double the work done there.

 > So I think speaking about "nodes" instead will avoid confusion,
 > because otherwise whenever we talk about a "window", the reader will
 > always be in doubt whether this applies only to the "real", i.e. leaf
 > windows, or to the "internal" ones as well.

This is usually said in the second sentence of the doc-string.  For
`split-window' it reads

   "WINDOW can be any window and defaults to the selected one."

And for `set-window-buffer' we have

   "WINDOW has to be a live window and defaults to the selected one."

Let's not spoil this very simple recipe.

martin